=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
   xfwm4, dbus-x11, x11-xkb-utils,
   fastjar (>= 2:0.96-0ubuntu2), ant, ant-optional,
   libpulse-dev (>= 0.9.12), mauve, dh-autoreconf, quilt,
-  libtool, g++-4.7,
-   openjdk-7-jdk (>= 6b18) [alpha mips mips64 mips64el amd64 armel arm64 armhf hppa i386 ia64 powerpc powerpcspe ppc64 ppc64el m68k mipsel sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64],
+  libtool, g++-4.9,
+   ecj-gcj [amd64 armel arm64 armhf hppa i386 ia64 powerpc powerpcspe ppc64 ppc64el m68k mipsel sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64], gcj-jdk [amd64 armel arm64 armhf hppa i386 ia64 powerpc powerpcspe ppc64 ppc64el m68k mipsel sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64], openjdk-7-jdk (>= 6b18) [alpha mips mips64 mips64el],
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libasound2-dev, libfreetype6-dev (>= 2.2.1), libgtk2.0-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libcups2-dev, libpcsclite-dev, librhino-java (>= 1.7R3~), fonts-ipafont-mincho,
   libffi-dev, 
   zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, libsctp-dev [linux-any],
-  libnss3-dev (>= 2:3.12.3), 
+  libnss3-dev (>= 2:3.17.1), systemtap-sdt-dev,
 Standards-Version: 4.1.3
 Homepage: http://openjdk.java.net/
 Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/openjdk7
@@ -42,7 +42,7 @@
 Pre-Depends: ${dpkg:Depends}
 Depends: ${jredefault:Depends}, ${cacert:Depends}, ${tzdata:Depends}, ${jcommon:Depends}, ${dlopenhl:Depends}, ${mountpoint:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${dlopenhl:Recommends}, ${jamvm:Recommends}
-Suggests: ${jamvm:Suggests}, libnss-mdns, sun-java6-fonts, ttf-dejavu-extra, fonts-ipafont-gothic, fonts-ipafont-mincho, ttf-wqy-microhei, ttf-wqy-zenhei, fonts-indic,
+Suggests: ${jamvm:Suggests}, libnss-mdns, sun-java6-fonts, fonts-dejavu-extra, fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-wqy-microhei, fonts-wqy-zenhei, fonts-indic,
 Provides: java-runtime-headless, java2-runtime-headless, java5-runtime-headless, java6-runtime-headless, java7-runtime-headless, ${defaultvm:Provides}, ${jvm:Provides}
 Replaces: openjdk-7-jre-lib (<< 7u45-2.4.3-1)
 Conflicts: ${multiarch:Conflicts}
@@ -59,7 +59,7 @@
 Multi-Arch: same
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-7-jre-headless (= ${binary:Version}), ${xandsound:Depends}, ${shlibs:Depends}, ${dlopenjre:Depends}, ${misc:Depends}, ${dep:bridge}
-Recommends: ${dlopenjre:Recommends}, ttf-dejavu-extra
+Recommends: ${dlopenjre:Recommends}, fonts-dejavu-extra
 Suggests: icedtea-7-plugin, ${pkg:pulseaudio}
 Conflicts: icedtea-gcjwebplugin (<< 1.0-1ubuntu4)
 Replaces: openjdk-7-jre-headless (<< 7u65-2.5.1-0~)
@@ -148,17 +148,6 @@
  The packages are built using the IcedTea build support and patches
  from the IcedTea project.
 
-Package: icedtea-7-jre-cacao
-Architecture: alpha amd64 armel armhf i386 lpia powerpc powerpcspe m68k mips mipsel s390
-Multi-Arch: same
-Priority: extra
-Pre-Depends: ${dpkg:Depends}
-Depends: openjdk-7-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: Transitional package for obsolete Cacao JVM for OpenJDK
- Cacao support was removed for recent versions of OpenJDK 7.
- .
- This is a transitional package which can be safely removed.
-
 Package: icedtea-7-jre-jamvm
 Architecture: amd64 armel armhf i386 powerpc kfreebsd-i386 kfreebsd-amd64
 Multi-Arch: same
